## edubuntu-installer 0.4

=== debian/changelog ===
edubuntu-installer (0.4) lunar; urgency=medium

  * Stop using explicit strings to determine package status (LP: #2014974)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 01 Apr 2023 17:14:04 -0700

edubuntu-installer (0.3) lunar; urgency=medium

  * Fix for package remover not using array

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 28 Jan 2023 08:27:47 -0800

edubuntu-installer (0.2) lunar; urgency=medium

  * Add additional dialogs
  * Add school age range-based default config overrides per system

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 12 Jan 2023 10:19:44 -0800

edubuntu-installer (0.1) lunar; urgency=medium

  * Initial Release.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 04 Jan 2023 10:40:53 -0800

## edubuntu-installer 0.6

=== debian/changelog ===
edubuntu-installer (0.6) noble; urgency=medium

  * Increase size of installer box

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 14 Feb 2024 10:31:11 -0800

edubuntu-installer (0.5) noble; urgency=medium

  * Add teaching and music metapackages to selection

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 04 Feb 2024 13:33:58 -0800

## edubuntu-installer 0.7

=== debian/changelog ===
edubuntu-installer (0.7) plucky; urgency=medium

  * Switch bijiben to gnote, switch dictionary to artha

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 08 Feb 2025 11:54:17 -0800

## edubuntu-installer 0.8

=== debian/changelog ===
edubuntu-installer (0.8) questing; urgency=medium

  * Switch secondary email client to evolution

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 11 Sep 2025 10:10:33 -0700

## edubuntu-installer 1.0.3

=== po/Makefile ===
# Makefile for edubuntu-installer translations
#
# Usage:
#   make          - compile all .po files to .mo
#   make update   - regenerate the .pot template from source
#   make install  - install .mo files to DESTDIR/usr/share/locale
#   make clean    - remove compiled .mo files
#
DOMAIN   = edubuntu-installer
SRCDIR   = ../usr/share/edubuntu-installer
POTFILE  = $(DOMAIN).pot
DESTDIR ?=
PREFIX  ?= /usr/share/locale

POFILES  = $(wildcard *.po)
MOFILES  = $(POFILES:.po=.mo)
LANGS    = $(basename $(POFILES))

.PHONY: all update install clean

all: $(MOFILES)

%.mo: %.po
	msgfmt --check --statistics -o $@ $<

update: $(POTFILE)

$(POTFILE):
	xgettext --language=Python --keyword=_ \
		--package-name=$(DOMAIN) \
		--package-version=1.0 \
		--msgid-bugs-address=ubuntu-studio-devel@lists.ubuntu.com \
		--output=$@ \
		$(SRCDIR)/i18n.py \
		$(SRCDIR)/backend.py \
		$(SRCDIR)/main.py \
		$(SRCDIR)/ui/gtk_ui.py \
		$(SRCDIR)/ui/qt_ui.py

install: $(MOFILES)
	@for lang in $(LANGS); do \
		dir=$(DESTDIR)$(PREFIX)/$$lang/LC_MESSAGES; \
		echo "Installing $$lang → $$dir/$(DOMAIN).mo"; \
		install -d $$dir; \
		install -m 644 $$lang.mo $$dir/$(DOMAIN).mo; \
	done

clean:
	rm -f $(MOFILES)

## edubuntu-installer 0.9

=== debian/changelog ===
edubuntu-installer (0.9) questing; urgency=medium

  * Switch secondary ed email client to evolution

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 28 Sep 2025 16:01:17 -0700

=== debian/control ===
Source: edubuntu-installer
Section: admin
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Browser: https://code.launchpad.net/~edubuntu-dev/+git/edubuntu-installer
Vcs-Git: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-installer
Rules-Requires-Root: no

Package: edubuntu-installer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         hicolor-icon-theme, pkexec, qapt-batch, zenity
Description: Software Installer and Uninstaller for Edubuntu
 Installs or uninstalls Edubuntu's metapackages as desired
 in order to configure for various age groups. Also useful for
 installing said metapackages on Ubuntu and official Ubuntu
 flavours.

## edubuntu-installer 1.0.1

=== debian/changelog ===
edubuntu-installer (1.0.1) resolute; urgency=medium

  * Fix Desktop Environment detection - determines frontend toolkit

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Feb 2026 20:09:16 -0800

edubuntu-installer (1.0.0) resolute; urgency=medium

  * Python rewrite, including translations and cockpit modules

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Feb 2026 19:18:31 -0800

## edubuntu-installer 1.0.3

=== debian/changelog ===
edubuntu-installer (1.0.3) resolute; urgency=medium

  * Update translations

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 12:39:04 -0800

edubuntu-installer (1.0.2) resolute; urgency=medium

  * Fix GTK window padding
  * Polish UI
  * Fix lintian overrides
  * Fix for non-user users showing up in installer

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 08:53:54 -0800

=== debian/control ===
Source: edubuntu-installer
Section: admin
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Build-Depends: debhelper-compat (= 13), gettext, python3
Standards-Version: 4.6.1
Vcs-Browser: https://code.launchpad.net/~edubuntu-dev/+git/edubuntu-installer
Vcs-Git: https://git.launchpad.net/~edubuntu-dev/+git/edubuntu-installer
Rules-Requires-Root: no

Package: edubuntu-installer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
         hicolor-icon-theme,
         pkexec,
         polkitd,
         python3,
         gir1.2-adw-1 | python3-pyqt6,
         python3-gi | python3-pyqt6
Suggests: cockpit
Description: Software Installer and Uninstaller for Edubuntu
 Installs or uninstalls Edubuntu's metapackages as desired
 in order to configure for various age groups. Also useful for
 installing said metapackages on Ubuntu and official Ubuntu
 flavours.
 .
 This version uses Python with GTK 4 (libadwaita) or Qt 6 (PyQt6),
 automatically selecting the appropriate toolkit for the running
 desktop environment.

## edubuntu-installer 1.0.4

=== debian/changelog ===
edubuntu-installer (1.0.4) resolute; urgency=medium

  * Fix translation build

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 20 Feb 2026 08:53:39 -0800

## edubuntu-installer 1.0.5

=== debian/changelog ===
edubuntu-installer (1.0.5) resolute; urgency=medium

  * Enhance Qt interface

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 21 Feb 2026 13:51:05 -0800

## edubuntu-installer 1.0.6

=== po/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 		$(SRCDIR)/i18n.py \
 		$(SRCDIR)/backend.py \
 		$(SRCDIR)/main.py \
+		$(SRCDIR)/ui/base.py \
 		$(SRCDIR)/ui/gtk_ui.py \
 		$(SRCDIR)/ui/qt_ui.py

=== debian/changelog ===
edubuntu-installer (1.0.6) resolute; urgency=medium

  * Remove artha, resort default favorites for age groups

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 24 Feb 2026 19:00:42 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C po all

override_dh_auto_install:
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/edubuntu-installer

override_dh_auto_clean:
	$(MAKE) -C po clean
